patching GLIBC-2.1.3 ..? :-(

Gioffre Torricio gioffreus at mindspring.com
Fri Jun 30 19:27:44 PDT 2000


Hi,

I'm using BOOK-2.3.5b and building from OpenLinux 2.4.

Can anyone advise how to apply the patch to GLIBC-2.1.3 ..? The book
says "If you're getting errors ... illegal character 45 ..."

Errors, well I gots em! So, I get the patch, gunzip it, and do the
patch command. I get errors from the patch. Diffs and patching are
new for me. So, I looked at `man patch` to understand the options used
in the the book. Then I ran the command again, and it failed again.
Can someone tell me how to do it properly?

gcc --version = 2.95.2

Here'e layout and what I did to try and install the patch:

configparms and I are both in:
/mnt/hdb5/usr/src/glibc-build

When I `ls` what's above me:
glibc-2.1.3/
glibc-2.1.3.patch
glibc-build/

... along with others of course.  Then I do:
/mnt/hdb5/usr/src/glibc-build
[21] [root at locutus]# patch -Np1 -i ../glibc-2.1.3.patch

== here is the error i get ==

can't find file to patch at input line 4
Perhaps you used the wrong -p or --strip option?
The text leading up to this was:
--------------------------
|diff -Naur glibc-2.1.3-orig/MakeTAGS glibc-2.1.3-fixed/MakeTAGS
|--- glibc-2.1.3-orig/MakeTAGS  Wed Jun 16 17:29:24 1999
|+++ glibc-2.1.3-fixed/MakeTAGS Sun Jun 18 11:33:36 2000
--------------------------
File to patch:

== end error ==

Any advise much appreciate! Thanks!
Gioffre
gioffreus at mindspring.com
--
Mail archive: http://www.pcrdallas.com/mail-archives/lfs-discuss
IRC access: server: irc.linuxfromscratch.org port: 6667 channel: #LFS
Unsubscribe: email lfs-discuss-request at linuxfromscratch.org and put
"unsubscribe" (without the quotation marks) in the body of the message
(no subject is required)



More information about the lfs-dev mailing list